'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const __chunk_1 = require('./chunk-cf23c4b1.js');
const __chunk_2 = require('./chunk-2c699dcf.js');

const Declarations = 'DECLARATIONS';

function ApolloProvider({ client }, children) {
    return (__chunk_1.h("apollo-provider", { client: client }, children));
}
function ApolloConsumer(_props, children) {
    return (__chunk_1.h(__chunk_2.ApolloProviderConsumer.Consumer, null, ({ client }) => children[0](client)));
}

const Query = ({ query, variables, options, }, children) => __chunk_1.h("apollo-query", { query: query, variables: variables, options: options, renderer: children[0] });

const Mutation = ({ mutation, variables, options }, children) => __chunk_1.h("apollo-mutation", { mutation: mutation, variables: variables, options: options, renderer: children[0] });

const Subscription = ({ subscription, variables, options, }, children) => __chunk_1.h("apollo-subscription", { subscription: subscription, variables: variables, options: options, renderer: children[0] });

exports.ApolloConsumer = ApolloConsumer;
exports.ApolloProvider = ApolloProvider;
exports.Declarations = Declarations;
exports.Mutation = Mutation;
exports.Query = Query;
exports.Subscription = Subscription;
