import { ApolloClient } from "apollo-client";
export interface ApolloClientState<TCacheShape> {
    client: ApolloClient<TCacheShape>;
    children?: any;
}
export declare const ApolloProviderConsumer: {
    Provider: import("@stencil/core").FunctionalComponent<{
        state: ApolloClientState<any>;
        children?: any;
    }>;
    Consumer: import("@stencil/core").FunctionalComponent<{}>;
    wrapConsumer: (childComponent: any, fieldList: ("client" | "children")[]) => ({ children, ...props }: any) => any;
    injectProps: (childComponent: any, fieldList: ("client" | "children")[]) => void;
};
